#!BuildIgnore:          post-build-checks

%global commit 1b8ad572ea5480f9f611cf7321feb10f176fdb84
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commdate 20190926

%global gitbuild 0

%define pkgname	nagios-plugins
Name:		nagios-plugins
Version:	2.4.9
%if 0%{?gitbuild:1}
Release:	35.1
%else
Release:	35.1
%endif
Summary:	Host/service/network monitoring program plugins for Nagios

Group:		Applications/System
License:	GPL
URL:		https://www.nagios-plugins.org/
%if 0%{?gitbuild:1}
Source0: https://github.com/nagios-plugins/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
%else
Source0:	%{pkgname}-%{version}.tar.bz2
%endif

Source1:	%{name}-rpmlintrc
%if 0%{?gitbuild:1}
Patch1: nagios-plugins-0001-Fix-mysql-f27.patch
Patch2: nagios-plugins-0002-Remove-assignment-of-not-parsed-to-jitter.patch
Patch7: nagios-plugins-0007-Fix-the-use-lib-statement-and-the-external-ntp-comma.patch
Patch10: nagios-plugins-0010-include-mysql-version-header.patch
Patch11: nagios-plugins-0011-fix-perl-shebang.patch
Patch12: nagios-plugins-0012-fix-perl-ntp-ipv6.patch
%else
Patch200:	revert-check_mailq-autodetect-2.4.0.diff
%endif

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Prefix: %{_prefix}/lib/nagios/plugins
PreReq:	sed
Provides:	monitoring-plugins-%{version}-%{release}
Provides:	nagios-plugins-perl-%{version}-%{release}
Obsoletes:	nagios-plugins-perl
Provides:	monitoring-plugins-perl-%{version}-%{release}
Obsoletes:	monitoring-plugins-perl

%{!?custom:%global custom 0}
Obsoletes: nagios-plugins-custom nagios-plugins-extras
Provides:  nagios-plugins-custom nagios-plugins-extras

# Requires
%if 0%{?sles_version} > 0
BuildRequires:	mysql-client
%endif

%if 0%{?suse_version} == 1030
BuildRequires: freeradius-client freeradius-client-devel
%endif

%if 0%{?suse_version}
%if 0%{?suse_version} > 1310
BuildRequires:  libsmbclient0
%else
BuildRequires:	libsmbclient qstat
%endif
BuildRequires:	tcpd-devel libsmbclient-devel openldap2-devel perl-Net-SNMP fping glibc bind-utils
%if 0%{?suse_version} > 1030
BuildRequires:	freeradius-client-devel freeradius-server-devel
%else
BuildRequires:  freeradius-devel
%endif
%endif



%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version} || 0%{?redhat_version} || 0%{?sl_version}
%if 0%{?rhel} == 8
BuildRequires:	openldap-devel freeradius samba-common openldap-devel glibc-common qstat which
%else
BuildRequires:  tcp_wrappers openldap-devel freeradius samba-common openldap-devel net-snmp-perl glibc-common qstat which
%endif
%endif


# fping is in EPEL for EL
BuildRequires: openssl-devel postgresql-devel mysql-devel zlib-devel glibc-devel gcc gcc-c++ net-snmp net-snmp-devel openssh iputils samba-client procps fping 

%if 0%{?suse_version} <= 1310
Requires: iputils qstat
%else
Requires: iputils
%endif

%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version} || 0%{?redhat_version} || 0%{?sl_version}
Requires: /usr/bin/smbclient
%else
Requires: samba-client
%endif

# this is disabled in our build to have other packages require the utils.pm from nagios-plugins
# Do not provide private Perl modules
# global __provides_exclude %{?__provides_exclude:%{__provides_exclude}|}^perl\\(utils\\)
# global reqfilt sh -c "%{__perl_requires} | sed -e 's!perl(utils)!nagios-plugins-perl!'"
# global __perl_requires %{reqfilt}


%description
Nagios is a program that will monitor hosts and services on your
network, and to email or page you when a problem arises or is
resolved. Nagios runs on a unix server as a background or daemon
process, intermittently running checks on various services that you
specify. The actual service checks are performed by separate "plugin"
programs which return the status of the checks to Nagios. This package
contains those plugins.


%prep
%if 0%{?gitbuild:1}
%setup -q -n %{name}-%{commit}
%if 0%{?fedora} >26
%patch1 -p1 -b .fix_mysql
%endif
%patch2 -p1 -b .remove_ntp_jitter
%patch7 -p1 -b .fix_ntpcommands
%if 0%{?rhel} > 7
%patch10 -p1 -b .mysqlversionh
%endif
%patch11 -p1 -b .fix_perl_shebang
%patch12 -p1 -b .fix_perl_ntp
%else
%setup -q -n %{pkgname}-%{version}
%patch200 -p1
%endif

%build
%if 0%{?gitbuild:1}
./tools/setup
%endif
./configure \
--prefix=%{_prefix} \
--exec-prefix=%{_prefix} \
--libexecdir=%{_prefix}/lib/nagios/plugins \
--sysconfdir=%{_sysconfdir}/nagios \
--datadir=%{_datadir} \
--with-perl=/usr/bin/perl \
%if 0%{?centos_version} >= 700 || 0%{?rhel_version} >= 700 || 0%{?rhel} >= 7 || 0%{?sl_version} >= 700
--with-ping-command="/bin/ping -n -U -w %d -c %d %s" \
%endif
--with-ping6-command="/bin/ping6 -n -U -w %d -c %d %s" \
--with-fping-command=%{_sbindir}/fping \
--with-fping6-command=%{_sbindir}/fping6 \
--with-ipv6 \
--with-cgiurl=/nagios/cgi-bin \
--with-rpcinfo-command=%{_sbindir}/rpcinfo \
--with-mailq-command=%{_bindir}/mailq \
--with-qstat-command=/var/qmail/bin/qmail-qstat
%__make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%__make AM_INSTALL_PROGRAM_FLAGS="" DESTDIR=${RPM_BUILD_ROOT} install-strip
%__make AM_INSTALL_PROGRAM_FLAGS="" DESTDIR=${RPM_BUILD_ROOT} install-root
%__install -d ${RPM_BUILD_ROOT}/etc/nagios
##__install -m 664 command.cfg ${RPM_BUILD_ROOT}/etc/nagios
##%find_lang %{name}
# fix lib path in perl plugins
cd ${RPM_BUILD_ROOT}%{_prefix}/lib/nagios/plugins
# set qmail-qstat if not found
# fix lib path in perl plugins
cd ${RPM_BUILD_ROOT}%{_prefix}/lib/nagios/plugins
# set qmail-qstat if not found
sed -i s@'$PATH_TO_QMAIL_QSTAT = "";'@'$PATH_TO_QMAIL_QSTAT = "/var/qmail/bin/qmail-qstat";'@ %{buildroot}%{_prefix}/lib/nagios/plugins/utils.pm
sed -i s@"{'PATH'}='';"@"{'PATH'}='/usr/bin:/usr/sbin';"@ %{buildroot}%{_prefix}/lib/nagios/plugins/check_mailq 

%clean
rm -rf $RPM_BUILD_ROOT

%post
chmod 4711 %{_exec_prefix}/lib/nagios/plugins/check_icmp || :
chmod 4711 %{_exec_prefix}/lib/nagios/plugins/check_dhcp || :

##%files -f %{name}.lang
%files
%defattr(-,root,root)
##config(missingok,noreplace) /etc/nagios/command.cfg
%doc CODING COPYING FAQ README REQUIREMENTS SUPPORT
%if 0%{?gitbuild:0}
%doc ChangeLog
%endif
%defattr(775,root,root)
%dir %{_exec_prefix}/lib/nagios/plugins
%{_datadir}/locale/de/LC_MESSAGES/%{pkgname}.mo
%{_datadir}/locale/fr/LC_MESSAGES/%{pkgname}.mo
%{_exec_prefix}/lib/nagios/plugins

%changelog
* Fri Apr 12 2024 Carsten Schöne <carsten.schoene@internetx.com>
- update to release 2.4.9
  * bugfixes
  check_snmp: Robustly fixes incorrect integer return value parsing (#749)
* Tue Mar 19 2024 Carsten Schöne <carsten.schoene@internetx.com>
- update to release 2.4.8
  * bugfixes
  check_snmp: Fixed issue where Timeticks would incorrectly show “No valid data returned” (#743)
* Fri Nov 24 2023 Carsten Schöne <carsten.schoene@internetx.com>
- update to release 2.4.7
  * bugfixes
  check_ntp.pl: Fix warning/critical threshold information missing from performance data output (#735)
  check_ntp.pl: Fix issues when NTP server has a positive time offset (#734)
  check_snmp: Fixed issue where plugin returned OK for missing OID (#679)
  check_snmp: Fixed issue where OID name with numeric data was misinterpreted as OID value (#720)-
* Tue Aug 29 2023 Carsten Schoene <carsten.schoene@internetx.com>
- update to release 2.4.6
  * bugfixes:
  check_log: Fixed issue where /tmp directory would fill with unnecessary information (#724)
  check_mailq: Correctly handle “Mail queue is empty” when monitoring Postfix over SSMTP (#611)
  check_oracle: Reduce false positives when looking for “OK” messages (#723)
  utils: Fix compiler warnings (#583, #637)
* Mon Jul  3 2023 Carsten Schoene <carsten.schoene@internetx.com>
- update to release 2.4.5
  * bugfixes 2.4.5
  check_dns: Fix buffer overflow on Ubuntu 22.04 (#699)
  check_sensors: Use grep instead of deprecated egrep (#697)
  check_tcp: Add --sni as an alias to -N (#701)
  check_by_ssh: Prevent users from using ProxyCommand/LocalCommand/PermitLocalCommand (./configure --with-unrestricted-ssh-options=yes to re-enable)
  build: fix bug when using VPATH builds (#700)
  * bugfixes 2.4.4
  check_log: improve file readability test to accommodate CAP_DAC_READ_SEARCH and similar (#604)
  check_mrtgtraf: fix incorrect out_pct performance data metric (#600)
  check_ping: handle "bad checksum" warning from ping output (#616)
* Wed Apr 12 2023 Carsten Schoene <carsten.schoene@internetx.com>
- update to release 2.4.3
* Sun Apr 26 2020 Carsten Schoene <cs@linux-administrator.com>
- update to release 2.3.3
* Sat Jan  4 2020 Carsten Schoene <cs@linux-administrator.com>
- update to release 2.3.1
* Fri Oct 11 2019 Carsten Schoene <cs@linux-administrator.com>
- update to pre-release (git) 2.2.2 ported from EPEL
* Fri Jun 30 2017 cs@linux-administrator.com
- update to release 2.2.1
* Thu Dec 22 2016 cs@linux-administrator.com
- update to release 2.2
* Mon May 23 2016 cs@linux-administrator.com
- update to release 2.1.2
* Thu Apr  9 2015 cs@linux-administrator.com
- update to release 2.1.1
- set perl path during configure
* Sat Nov 22 2014 cs@linux-administrator.com
- update to release 2.1
- add new provides for package monitoring-plugins (project name change)
- add buildrequires for fping plugin
- add buildrequires for radius plugin
* Tue Jun 24 2014 cs@linux-administrator.com
- backport DNS fixes from master
  (nagios-plugins-2.0.2_dnsfix.patch)
* Tue Jun 24 2014 cs@linux-administrator.com
- fix check_mailq by reverting autodetection patches
  (revert-check_mailq-autodetect.diff)
* Mon Jun 23 2014 cs@linux-administrator.com
- update to release 2.0.2
* Fri Oct  4 2013 cs@linux-administrator.com
- update to release 1.5
